Name:		qubes-core-admin-client
Version:    4.2.4
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	make
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
BuildRequires:	python%{python3_pkgversion}-lxml
BuildRequires:	python%{python3_pkgversion}-xcffib
BuildRequires:	python%{python3_pkgversion}-tqdm
BuildRequires:	python%{python3_pkgversion}-yaml
BuildRequires:	python%{python3_pkgversion}-pyxdg
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
Requires:   qubes-repo-templates
Requires:   scrypt
Requires:   qubes-rpm-oxide >= 0.2.3
Requires:   xrandr
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz
Conflicts:  qubes-core-agent < 4.1.9
# qubes-guid -C option
Conflicts:  qubes-gui-daemon < 4.1.7

%description
This package include managemt tools, like qvm-*.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
Requires:   python%{python3_pkgversion}-daemon
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Requires:   python%{python3_pkgversion}-rpm
Requires:   python%{python3_pkgversion}-tqdm
Requires:   python%{python3_pkgversion}-pyxdg
Conflicts:  qubes-core-dom0 < 4.1.12
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-daemon.desktop
%config /etc/xdg/autostart/qvm-start-daemon-kde.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin
/etc/qubes/post-install.d/30-keyboard-layout-service.sh

%changelog
* Fri Jun 02 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client.git

* Fri Jun 02 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c70da44
- version 4.2.4

* Thu Jun 01 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8de9ef0
- Invalidate cache on domain add/delete

* Wed May 24 2023 Oni <git@oni.blue> - 85332b3
- Fix title order when qvm-template output is piped to another command

* Sat May 06 2023 Rusty Bird <rustybird@net-c.com> - 9de29db
- tools/qvm-volume: clarify available revisions

* Sat Apr 29 2023 Per Christian Gaustad <per-review@users.noreply.github.com> - 93d0df6
- Specify format of --profile parameter for qvm-backup

* Thu Apr 27 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0106eac
- version 4.2.3

* Thu Apr 20 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - cc7483c
- Add documentation for vm-config features

* Sat Apr 15 2023 Rusty Bird <rustybird@net-c.com> - 988475e
- doc: use file-reflink instead of deprecated file in 'qvm-pool add' example

* Fri Apr 14 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 290e524
- add missing docstring

* Fri Apr 14 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 6ef13ac
- add derived_vms property

* Fri Apr 14 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eb23913
- Switch to new codecov uploader

* Mon Apr 10 2023 Rusty Bird <rustybird@net-c.com> - 2ab5d80
- make pylint happy

* Mon Apr 10 2023 Rusty Bird <rustybird@net-c.com> - ba9b24d
- backup/restore: fix import of volumes with small or unaligned size

* Tue Mar 14 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4bdf0bc
- version 4.2.2

* Sat Mar 11 2023 Manuel Amador (Rudd-O) <rudd-o@rudd-o.com> - 780e036
- Document that qvm-volume revert can revert to a specific revision.

* Wed Mar 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a9b17d9
- Yet another disgusting hack for python 3.11.2 bug

* Fri Mar 03 2023 Kamil Aronowski <kamil.aronowski@yahoo.com> - 53ba003
- Typo: How log -> How long

* Thu Mar 02 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5959786
- version 4.2.1

* Sat Feb 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9512bac
- Document few more features in qvm-features man page

* Sat Feb 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9cc83e8
- Document qubes-agent-version feature

* Sat Feb 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 60f4e92
- Document supported-* features in qvm-features man page

* Sat Feb 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ec57303
- version 4.2.0

* Wed Feb 15 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0cf5401
- Replace one python bug workaround with another

* Sun Feb 05 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 5a48b45
- Set selinux feature if template.conf specifies it

* Fri Feb 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9bc0a22
- Make pylint happy

* Fri Feb 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6bcfda2
- version 4.1.30

* Thu Feb 02 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 14b503e
- rpm: depend on xrandr

* Thu Jan 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5189ff9
- version 4.1.29

* Thu Jan 12 2023 Maja Kądziołka <maya@invisiblethingslab.com> - d49c7a1
- man qvm-backup: Warn about potential metadata leakage

* Sun Jan 01 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 82e95cd
- version 4.1.28

* Sat Dec 17 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1033752
- backup: use ~/QubesIncoming as default restore tmpdir

* Sat Dec 10 2022 Maja Kądziołka <maya@invisiblethingslab.com> - 836465b
- qvm-backup-restore --verify-only: don't overwrite VM properties

* Tue Nov 29 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 92ac846
- version 4.1.27

* Mon Nov 21 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - e6efb91
- Fix cache invalidation for domain-start-failed

* Tue Nov 15 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ebea2e7
- version 4.1.26

* Fri Nov 11 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 09d0387
- backup: do not fail on removing non-existing file

* Sat Nov 05 2022 Rusty Bird <rustybird@net-c.com> - 0f35e53
- backup/restore: hardcode MD5 algo for format v2/v3 decryption

* Mon Oct 17 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 991e47b
- version 4.1.25

* Mon Oct 17 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e5efbe6
- dochelpers: parse man page with aliased subcommands

* Mon Oct 17 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8078bde
- qvm-create: fix creating qube with smaller than default root.img

* Tue Oct 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aec68c9
- doc: document remaining qvm-template options

* Tue Oct 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4d3d619
- Include runtime deps in build deps for documentation build

* Tue Oct 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - edf3642
- Fix docs formatting

* Tue Oct 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d1f17a1
- Fix regex formatting

* Thu Sep 29 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 4f20c1d
- Add missing GUI daemon options

* Sat Aug 27 2022 unman <unman@thirdeyesecurity.org> - 1726ca3
- Fix aberrant paste

* Wed Aug 24 2022 unman <unman@thirdeyesecurity.org> - e7554e4
- Update manpage for qvm-firewall

* Fri Jul 29 2022 Rusty Bird <rustybird@net-c.com> - 90c9973
- vm: fix 'qvm-shutdown --wait' for DispVM

* Tue Jul 19 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 253668d
- version 4.1.24

* Fri May 27 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 3e2e6ef
- Catch FileNotFoundError when download fails

